--- old/usr/src/lib/libc/port/mapfile-vers	Sun Aug  5 23:41:03 2018
+++ new/usr/src/lib/libc/port/mapfile-vers	Sun Aug  5 23:41:03 2018
@@ -77,6 +77,29 @@
 $add amd64
 $endif
 
+SYMBOL_VERSION ILLUMOS_0.26 {	# socket moved from libsocket
+    protected:
+	accept4;
+	accept;
+	bind;
+	connect;
+	getpeername;
+	getsockname;
+	getsockopt;
+	listen;
+	recv;
+	recvfrom;
+	recvmsg;
+	send;
+	sendmsg;
+	sendto;
+	setsockopt;
+	sockatmark;
+	socketpair;
+	shutdown;
+	socket;
+} ILLUMOS_0.25;
+
 SYMBOL_VERSION ILLUMOS_0.25 {	# inet_* moved from libnsl/libsocket
     protected:
 	inet_addr;
@@ -2909,10 +2932,12 @@
 $endif
 
     protected:
+	_accept;
+	_accept4;
 	acctctl;
 	allocids;
-	_assert_c99;
 	__assert_c99;
+	_assert_c99;
 	_assfail;
 	attr_count;
 	attr_to_data_type;
@@ -2920,9 +2945,11 @@
 	attr_to_option;
 	attr_to_xattr_view;
 	_autofssys;
+	_bind;
 	_bufsync;
 	_cladm;
 	__class_quadruple;
+	_connect;
 	core_get_default_content;
 	core_get_default_path;
 	core_get_global_content;
@@ -2989,7 +3016,10 @@
 	_getfp;
 	_getgroupsbymember;
 	_getlogin_r;
+	_getpeername;
 	getrandom;
+	_getsockname;
+	_getsockopt;
 	_getsp;
 	__gettsp;
 	getvmusage;
@@ -3014,6 +3044,7 @@
 	klpd_unregister_id;
 	_lgrp_home_fast		{ FLAGS = NODYNSORT };
 	_lgrpsys;
+	_listen;
 	_lltostr;
 	_lock_clear;
 	_lock_try;
@@ -3065,6 +3096,9 @@
 	__priv_bracket;
 	__priv_relinquish;
 	psecflags;
+	psecflags_default;
+	psecflags_validate;
+	psecflags_validate_delta;
 	pset_assign_forced;
 	pset_bind_lwp;
 	_psignal;
@@ -3076,6 +3110,9 @@
 	rctlctl;
 	rctllist;
 	_realbufend;
+	_recv;
+	_recvfrom;
+	_recvmsg;
 	_resume;
 	_resume_ret;
 	_rpcsys;
@@ -3083,35 +3120,37 @@
 	scrwidth;
 	secflag_by_name;
 	secflag_clear;
+	secflag_isset;
 	secflags_copy;
 	secflags_difference;
+	secflag_set;
 	secflags_fullset;
 	secflags_intersection;
 	secflags_isempty;
-	secflag_isset;
 	secflags_issubset;
 	secflags_issuperset;
-	secflag_set;
-	secflag_to_bit;
-	secflag_to_str;
-	secflags_union;
-	psecflags_validate_delta;
-	secflags_zero;
-	psecflags_default;
 	secflags_parse;
 	secflags_to_str;
-	psecflags_validate;
-	semctl64;
+	secflags_union;
+	secflags_zero;
+	secflag_to_bit;
+	secflag_to_str;
 	_semctl64;
-	set_setcontext_enforcement;
+	semctl64;
+	_send;
+	_sendmsg;
+	_sendto;
 	_setbufend;
 	__set_errno;
 	setprojrctl;
 	_setregid;
 	_setreuid;
+	set_setcontext_enforcement;
 	setsigacthandler;
-	shmctl64;
+	_setsockopt;
 	_shmctl64;
+	shmctl64;
+	_shutdown;
 	sigflag;
 	_signal;
 	_sigoff;
@@ -3119,6 +3158,10 @@
 	_so_accept;
 	_so_bind;
 	_sockconfig;
+	_socket;
+	_socket_bsd;
+	_socketpair;
+	_socketpair_bsd;
 	_so_connect;
 	_so_getpeername;
 	_so_getsockname;
@@ -3142,51 +3185,51 @@
 	syscall;
 	_sysconfig;
 	__systemcall;
-	thr_continue_allmutators;
 	_thr_continue_allmutators;
-	thr_continue_mutator;
+	thr_continue_allmutators;
 	_thr_continue_mutator;
-	thr_getstate;
+	thr_continue_mutator;
 	_thr_getstate;
-	thr_mutators_barrier;
+	thr_getstate;
 	_thr_mutators_barrier;
+	thr_mutators_barrier;
 	thr_probe_setup;
 	_thr_schedctl;
-	thr_setmutator;
 	_thr_setmutator;
-	thr_setstate;
+	thr_setmutator;
 	_thr_setstate;
-	thr_sighndlrinfo;
+	thr_setstate;
 	_thr_sighndlrinfo;
+	thr_sighndlrinfo;
 	_thr_slot_offset;
-	thr_suspend_allmutators;
 	_thr_suspend_allmutators;
-	thr_suspend_mutator;
+	thr_suspend_allmutators;
 	_thr_suspend_mutator;
-	thr_wait_mutator;
+	thr_suspend_mutator;
 	_thr_wait_mutator;
+	thr_wait_mutator;
 	__tls_get_addr;
 	_tmem_get_base;
 	_tmem_get_nentries;
 	_tmem_set_cleanup;
 	tpool_create;
-	tpool_dispatch;
 	tpool_destroy;
-	tpool_wait;
+	tpool_dispatch;
+	tpool_member;
+	tpool_resume;
 	tpool_suspend;
 	tpool_suspended;
-	tpool_resume;
-	tpool_member;
+	tpool_wait;
 	_ttyname_dev;
 	_ucred_alloc;
-	ucred_getamask;
 	_ucred_getamask;
-	ucred_getasid;
+	ucred_getamask;
 	_ucred_getasid;
-	ucred_getatid;
+	ucred_getasid;
 	_ucred_getatid;
-	ucred_getauid;
+	ucred_getatid;
 	_ucred_getauid;
+	ucred_getauid;
 	_ulltostr;
 	_uncached_getgrgid_r;
 	_uncached_getgrnam_r;
@@ -3209,6 +3252,15 @@
 	_wrtchk;
 	_xflsbuf;
 	_xgetwidth;
+	__xnet_bind;
+	__xnet_connect;
+	__xnet_getsockopt;
+	__xnet_listen;
+	__xnet_recvmsg;
+	__xnet_sendmsg;
+	__xnet_sendto;
+	__xnet_socket;
+	__xnet_socketpair;
 	zone_add_datalink;
 	zone_boot;
 	zone_check_datalink;
